[
  {
    "file": "CMakeCCompilerId.c",
    "arguments": [
      "cc",
      "CMakeCCompilerId.c"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build/CMakeFiles/4.2.3/CompilerIdC"
  },
  {
    "file": "CMakeCXXCompilerId.cpp",
    "arguments": [
      "c++",
      "CMakeCXXCompilerId.cpp"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build/CMakeFiles/4.2.3/CompilerIdCXX"
  },
  {
    "file": "/usr/share/cmake/Modules/CMakeCCompilerABI.c",
    "arguments": [
      "cc",
      "-v",
      "-o",
      "CMakeFiles/cmTC_27c6b.dir/CMakeCCompilerABI.c.o",
      "-c",
      "/usr/share/cmake/Modules/CMakeCCompilerABI.c"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build/CMakeFiles/CMakeScratch/TryCompile-0cxTtB",
    "output": "CMakeFiles/cmTC_27c6b.dir/CMakeCCompilerABI.c.o"
  },
  {
    "file": "/usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp",
    "arguments": [
      "c++",
      "-v",
      "-o",
      "CMakeFiles/cmTC_2b812.dir/CMakeCXXCompilerABI.cpp.o",
      "-c",
      "/usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build/CMakeFiles/CMakeScratch/TryCompile-JvDZsz",
    "output": "CMakeFiles/cmTC_2b812.dir/CMakeCXXCompilerABI.cpp.o"
  },
  {
    "file": "/home/martino/Projects/marte_debug/Source/DebugService.cpp",
    "arguments": [
      "c++",
      "-DARCHITECTURE=x86_gcc",
      "-DENVIRONMENT=Linux",
      "-DMARTe2_TEST_ENVIRONMENT=GTest",
      "-DUSE_PTHREAD",
      "-Dmarte_dev_EXPORTS",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L0Types",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L2Objects",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L3Streams",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Configuration",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Events",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Logger",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Messages",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L5FILES",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L5GAMs",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L6App",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L3Services",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L4Configuration",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L4LoggerService",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/FileSystem/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/FileSystem/L3Streams",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/DataSources/EpicsDataSource",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/DataSources/FileDataSource",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/GAMs/IOGAM",
      "-I/home/martino/Projects/marte_debug/Source",
      "-I/home/martino/Projects/marte_debug/Headers",
      "-pthread",
      "-fPIC",
      "-MD",
      "-MT",
      "CMakeFiles/marte_dev.dir/Source/DebugService.cpp.o",
      "-MF",
      "CMakeFiles/marte_dev.dir/Source/DebugService.cpp.o.d",
      "-o",
      "CMakeFiles/marte_dev.dir/Source/DebugService.cpp.o",
      "-c",
      "/home/martino/Projects/marte_debug/Source/DebugService.cpp"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build",
    "output": "CMakeFiles/marte_dev.dir/Source/DebugService.cpp.o"
  },
  {
    "file": "/home/martino/Projects/marte_debug/Test/UnitTests/main.cpp",
    "arguments": [
      "c++",
      "-DARCHITECTURE=x86_gcc",
      "-DENVIRONMENT=Linux",
      "-DMARTe2_TEST_ENVIRONMENT=GTest",
      "-DUSE_PTHREAD",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L0Types",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L2Objects",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L3Streams",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Configuration",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Events",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Logger",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Messages",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L5FILES",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L5GAMs",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L6App",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L3Services",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L4Configuration",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L4LoggerService",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/FileSystem/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/FileSystem/L3Streams",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/DataSources/EpicsDataSource",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/DataSources/FileDataSource",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/GAMs/IOGAM",
      "-I/home/martino/Projects/marte_debug/Source",
      "-I/home/martino/Projects/marte_debug/Headers",
      "-I/home/martino/Projects/marte_debug/Test/UnitTests/../../Source",
      "-I/home/martino/Projects/marte_debug/Test/UnitTests/../../Headers",
      "-pthread",
      "-MD",
      "-MT",
      "Test/UnitTests/CMakeFiles/UnitTests.dir/main.cpp.o",
      "-MF",
      "CMakeFiles/UnitTests.dir/main.cpp.o.d",
      "-o",
      "CMakeFiles/UnitTests.dir/main.cpp.o",
      "-c",
      "/home/martino/Projects/marte_debug/Test/UnitTests/main.cpp"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build/Test/UnitTests",
    "output": "CMakeFiles/UnitTests.dir/main.cpp.o"
  },
  {
    "file": "/home/martino/Projects/marte_debug/Test/Integration/main.cpp",
    "arguments": [
      "c++",
      "-DARCHITECTURE=x86_gcc",
      "-DENVIRONMENT=Linux",
      "-DMARTe2_TEST_ENVIRONMENT=GTest",
      "-DUSE_PTHREAD",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L0Types",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L2Objects",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L3Streams",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Configuration",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Events",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Logger",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L4Messages",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L5FILES",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L5GAMs",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/BareMetal/L6App",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L3Services",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L4Configuration",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/Scheduler/L4LoggerService",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/FileSystem/L1Portability",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2/Source/Core/FileSystem/L3Streams",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/DataSources/EpicsDataSource",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/DataSources/FileDataSource",
      "-I/home/martino/Projects/marte_debug/dependency/MARTe2-components/Source/Components/GAMs/IOGAM",
      "-I/home/martino/Projects/marte_debug/Source",
      "-I/home/martino/Projects/marte_debug/Headers",
      "-pthread",
      "-MD",
      "-MT",
      "Test/Integration/CMakeFiles/IntegrationTest.dir/main.cpp.o",
      "-MF",
      "CMakeFiles/IntegrationTest.dir/main.cpp.o.d",
      "-o",
      "CMakeFiles/IntegrationTest.dir/main.cpp.o",
      "-c",
      "/home/martino/Projects/marte_debug/Test/Integration/main.cpp"
    ],
    "directory": "/home/martino/Projects/marte_debug/Build/Test/Integration",
    "output": "CMakeFiles/IntegrationTest.dir/main.cpp.o"
  }
]